/// <reference types="react" />
import { BaseTextEntryControl } from "./BaseTextEntryControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XDatePicker extends BaseTextEntryControl {
    formatDate(date: Date): string;
    render(): JSX.Element | undefined;
    private handleChange;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
